2005/10/28  hori <hori@users.sourceforge.jp>

  * Add Database 'download_loggingname_table'.

2005/9/22  Hideaki Maekawa <frdm@users.sourceforge.jp>

  * REF #0000057 update WifeAppletB class.

2005/9/21  Hideaki Maekawa <frdm@users.sourceforge.jp>

  * REF #0000058 update demand graph.

2005/9/16  Hideaki Maekawa <frdm@users.sourceforge.jp>

  * Bugfix #0000055 dialog title.

2005/9/15  Hideaki Maekawa <frdm@users.sourceforge.jp>

  * REF #0000054 The Schedule "Group Duplicate" and "Week Of Day Duplicate" is added.

2005/8/23 hori <hori@users.sourceforge.jp>

  * REF #0000053 The function to specify Alarm-Mail Sending ahead of each holder is added. 

2005/9/13  Hideaki Maekawa <frdm@users.sourceforge.jp>

  * REF #0000051 The Point Comment is added.

2005/9/6  Hideaki Maekawa <frdm@users.sourceforge.jp>

  * REF #0000050 The trendgraph2 is added. 

2005/9/5  Hideaki Maekawa <frdm@users.sourceforge.jp>

  * REF #0000049 The schedule type "BarGraphicFactory" is added. 

2005/8/23 hori <hori@users.sourceforge.jp>

  * Add Multi Logging Function.

2005/8/17  Hideaki Maekawa <frdm@users.sourceforge.jp>

  * Update AbstractWifeApplet.WifeToolBar.valueChanged method.
     It shows initialize page, if not found page.

2005/8/16  Hideaki Maekawa <frdm@users.sourceforge.jp>

  * Bugfix #0000046

2005/8/15  Hideaki Maekawa <frdm@users.sourceforge.jp>

  * update ManagerDelegator#isSetValue method every return ture.

2005/8/12 hori <hori@users.sourceforge.jp>

  * Update PfUDLimitDialog and TenkeyDialogNoTab.

2005/8/11  Hideaki Maekawa <frdm@users.sourceforge.jp>

  * The serialVersionUID added to All serializable class.
  * REF #0000043 The retrieval at the date is added to the trend graph. 

2005/8/9 hori <hori@users.sourceforge.jp>

  * Update ClientsDefine class.
     Exception is not throw even if there is no definition.
  * Update Change in tree display done by each user

2005/8/9  Hideaki Maekawa <frdm@users.sourceforge.jp>

  * update RegisterUtil class.
     ERR_HOLDER should be only write mode. 

2005/8/6 hori <hori@users.sourceforge.jp>

  * Add AbstractWifeApplet and move of function.

2005/8/4 hori <hori@users.sourceforge.jp>

  * REF #0000003 add to Change in tree display done by each user

2005/8/4 Hideaki Maekawa <frdm@users.sourceforge.jp>

  * RFE #0000042 add to JLabel for Model-Mode.
  * add password.bat

2005/8/3 Hideaki Maekawa <frdm@users.sourceforge.jp>

  * RFE #0000036 Operation logging search supported.

2005/7/28 hori <hori@users.sourceforge.jp>

  * Add logout-user of each client.

2005/7/20 Hideaki Maekawa <frdm@users.sourceforge.jp>

  * RFE #0000039 export BMS cvs formated file support.
     See "docs/manual/BMS.txt".
  * RFE #00000４０40 Logging Digital Data supported.

2005/7/14 Hideaki Maekawa <frdm@users.sourceforge.jp>

  * RFE #0000037 TextSymbols custumize support.
  * RFE #0000038 History buttons custumize support.

2005/7/6 Hideaki Maekawa <frdm@users.sourceforge.jp>

  * RFE #0000035  Operation logging support.

2005/7/5 hori <hori@users.sourceforge.jp>

  * Add WifeAppletB with retrieval function.

2005/6/14 Hideaki Maekawa <frdm@users.sourceforge.jp>

  * RFE #0000001  Trend Graph full data mode supported.

2005/5/25 Hideaki Maekawa <frdm@users.sourceforge.jp>

  * BugFix #0000034
     It is a problem that the dialog crashes when the OK button is clicked when nothing is 
     selected as for the group. 

2005/5/24 Hideaki Maekawa <frdm@users.sourceforge.jp>

  * RFE #0000030
  * Bugfix ScheduleHolderRegister class.

2005/5/17 hori <hori@users.sourceforge.jp>

  * Add Refer to the DataHolder when E-mailing.

2005/5/16 Hideaki Maekawa <frdm@users.sourceforge.jp>

  * BugFix All test cases.

2005/5/12 Hideaki Maekawa <frdm@users.sourceforge.jp>

  * BugFix #0000033
     Update TrendGraphView class.

2005/5/2 Hideaki Maekawa <frdm@users.sourceforge.jp>

  * RFE #0000031
    Schedule 'ONEMINUTE' is added. 

2005/4/22 Hideaki Maekawa <frdm@users.sourceforge.jp>

  * The Service Execute system is added.
  * RFE #0000030

2005/4/21 Hideaki Maekawa <frdm@users.sourceforge.jp>

  * RFE #0000028 
    The horizontal scale scale format in trend graph setting is added.
    Refer to "http://java.sun.com/j2se/1.5.0/ja/docs/ja/api/java/text/SimpleDateFormat.html"
    for details of the format character string. 

	HorizontalScaleButtonFactory.xml    
	 <buttonModel
		icon="/images/4h.png"
		horizontalScaleCount="4"
		horizontalScaleWidth="3600"
		listHandlerIndex="0"
		firstFormat=""                    <-- added attribute
		secondFormat="HH:mm:ss" />        <-- added attribute

2005/4/18 Hideaki Maekawa <frdm@users.sourceforge.jp>

  * The coordinated function with Wi-Fi Location System is added. 
    Add org.F11.scada.server.wifi package.
    Add org.F11.scada.server.wifi.impl package.

2005/4/14 Hideaki Maekawa <frdm@users.sourceforge.jp>

  * Update java.util -> backported java.util.
  * Dialog#setVisible(true) method (Deprecated) -> Dialog#show.
  * BugFix #0000026 : invalid csv data.

2005/4/14 hori <hori@users.sourceforge.jp>

  * Bugfix CancelledKeyException was generated from PortSelector.
  * Update ConnectException logout message from TcpPortChannel.

2005/4/12 Hideaki Maekawa <frdm@users.sourceforge.jp>

  * Bugfix auto print.
  * Bugfix graph.

2005/4/7 Hideaki Maekawa <frdm@users.sourceforge.jp>

  * Bugfix *Dialog classes loop a show methods.
  * Bugfix Loggingdata doesn't queue up as it is the order of Logging.xml. 
  * build.xml added tomcat task.

2005/4/7 hori <hori@users.sourceforge.jp>

  * Add device kind 'SM' for MC3E.

2005/4/1 Hideaki Maekawa <frdm@users.sourceforge.jp>

  * RFE #0000022 : Add OpenURLButton class.
    It is a button that displays set URL by a browser. 

2005/3/22 Hideaki Maekawa <frdm@users.sourceforge.jp>

  * BugFix #0000020.

2005/3/22 Hideaki Maekawa <frdm@users.sourceforge.jp>

  * add TENMINUTE schedule `data_mode' option.
  * Implements Request for Enhancements #0000018, #0000019 and #0000021.
  * Concurrent.jar is abolished and the java.util.concurrent package is used. 

2005/3/17 Hideaki Maekawa <frdm@users.sourceforge.jp>

  * add TENMINUTE schedule.
  * add -nolock mode.

2005/3/11 Hideaki Maekawa <frdm@users.sourceforge.jp>

  * Correspondence JDK5.0
    instancs name 'enum' -> e.
    Dialog#show method (Deprecated) -> Dialog#setVisible(true).

2005/3/10 Hideaki Maekawa <frdm@users.sourceforge.jp>

  * Implements Request for Enhancements #0000001.

2005/3/8 Hideaki Maekawa <frdm@users.sourceforge.jp>

  * BugFix #0000015

2005/3/7 Hideaki Maekawa <frdm@users.sourceforge.jp>

  * BugFix #0000014

2005/3/3 Hideaki Maekawa <frdm@users.sourceforge.jp>

  * BugFix Bug that it ends at time specified for port number excluding 1099.
    WifeMain, DataCollector class.
  * The setting of the sending and receiving port of Rmi was enabled.
    An initial value is used when not specifying it. (50000 and 50001)

	EX.
      Preference.xml
        <property key="/server/rmi/managerdelegator/rmiReceivePort" value="50002" />
        <property key="/server/rmi/collectorserver/rmiReceivePort" value="50003" />

2005/2/28 Hideaki Maekawa <frdm@users.sourceforge.jp>

  * BugFix #0000012
    When the OK button is pressed without selecting the item
    by the group selection dialog in the graph, the exception
    is thrown out. 

2005/2/25 Hideaki Maekawa <frdm@users.sourceforge.jp>

  * All the table names were changed to the small letter. 

2005/2/15 Hideaki Maekawa <frdm@users.sourceforge.jp>

  * Update EnvironmentManager class.
    It can have used XML. 

2005/2/14 hori <hori@users.sourceforge.jp>

  * BugFix. FINS and FINS_CV converter.

2005/2/8 Hideaki Maekawa <frdm@users.sourceforge.jp>

  * Version UP commons-digester and Dependencies libraries.
  * Update PageXmlRuleSet class.

2005/2/7 Hideaki Maekawa <frdm@users.sourceforge.jp>

  * Bugfix AnalogType class.

2005/2/4 hori <hori@users.sourceforge.jp>

  * Add power factor dialog 4type.

2005/1/28 hori <hori@users.sourceforge.jp>

  * Add debug message.

2005/1/26 Hideaki Maekawa <frdm@users.sourceforge.jp>

  * ページキャッシュ機能を追加。
    グラフは自動的にキャッシュする。
    その他のページは、pageタグの属性として cache="true" で設定できる。

2005/1/25 hori <hori@users.sourceforge.jp>

  * Add MC1E Protocol. 


2005/1/24 hori <hori@users.sourceforge.jp>

  * Update responce data inspection. 
  * Update converter and RecvListener.

2005/1/21 hori <hori@users.sourceforge.jp>

  * Add "TCP" mode for communicator.

2005/1/17 Hideaki Maekawa <frdm@users.sourceforge.jp>

  * Update Choose Logo Component.
  * トレンドグラフで表示するデータの最大レコード数を設定できるように変更
    Preferences.properties の /server/logging/maxrecord　で設定する。
    指定しない場合は初期値として4096になる。

2004/12/24 Hideaki Maekawa <frdm@users.sourceforge.jp>

  * Add Page hisotory.

2004/12/16 hori <hori@users.sourceforge.jp>

  * BugFix. PLC Command Converters.

2004/11/29 Hideaki Maekawa <frdm@users.sourceforge.jp>

  * Add Version 2 logic.

2004/9/6 Hideaki Maekawa <frdm@users.sourceforge.jp>

  * LoggingData class implements DoubleIterator interface.

2004/8/31 hori <hori@users.sourceforge.jp>

  * Change 'communicater','converter' and 'event' packages.

2004/8/26 hori <hori@users.sourceforge.jp>

  * Add time measurement to LinkageCommandTest.

2004/8/17 Hideaki Maekawa <frdm@users.sourceforge.jp>

  * When Postgresql is used, bugfix cannot acquire a table name is corrected.

2004/8/4 Hideaki Maekawa <frdm@users.sourceforge.jp>

  * The annual report is added to an automatic printing function.

2004/8/7 hori <hori@users.sourceforge.jp>

  * Update AlarmMail. add CR+LF.

2004/7/13 Hideaki Maekawa <frdm@users.sourceforge.jp>

  * undoing TextSymbol#updatePropertyImpl method.
  * add ExplantoryNotesText symbol.
  * update getToolTipLocation method and setToolTipText method.
    Symbol class, ListTable class.
  * Bugfix server connection error.
    WifeDataProviderProxy class, AlarmDataProviderProxy class, DefaultGraphModel class.

2004/7/6 Hideaki Maekawa <frdm@users.sourceforge.jp>

  * update TextSymbol#updatePropertyImpl method.
    When not specifying height and width, it deletes having set in the size of 0.

2004/7/5 Hideaki Maekawa <frdm@users.sourceforge.jp>

  * Add logging; ServerErrorUtil#invokeServerRepair method.

2004/7/2 Hideaki Maekawa <frdm@users.sourceforge.jp>

  * Add AlarmPrintService class.
    In order to use AlarmPrintService, please add the following definitions to Preperence.properties.
    /server/alarm/print/className org.F11.scada.server.alarm.print.AlarmPrintService

    j2ee.dicon
    A setup of a xaDataSource tag
    Ex.
		<component name="xaDataSource"
			class="org.seasar.extension.dbcp.impl.XADataSourceImpl">
			<property name="driverClassName">
				"com.mysql.jdbc.Driver"
			</property>
			<property name="URL">
				"jdbc:mysql://localhost/wifedb"
			</property>
			<property name="user">"user"</property>
			<property name="password">"password"</property>
		</component>
    

2004/6/28 hori <hori@users.sourceforge.jp>

  * Update socket is cleaned in advance of transmission and reception.
  * Bugfix csv output file.

2004/6/24 Hideaki Maekawa <frdm@users.sourceforge.jp>

  * Bugfix TenkeyDialogs.

2004/6/24 hori <hori@users.sourceforge.jp>

  * Updating which makes reference of an analog item quick.
  * Add communication interval is recorded.

2004/6/23 Hideaki Maekawa <frdm@users.sourceforge.jp>

  * Bugfix AbstractPrintDataSource class.

2004/6/22 Hideaki Maekawa <frdm@users.sourceforge.jp>

  * Update Editable interface, WifeDialog classes and
    used these classes Symbols.

2004/6/15 Hideaki Maekawa <frdm@users.sourceforge.jp>

  * Add JasperAutoPrint class.
    See Preference.properties `/resources/task' directory.
	# The class used by automatic printing
	# Default printing class : org.F11.scada.xwife.server.AutoPrintPanel
	# When the class not existing is specified, a default automatic printing class is used.
	/server/autoprint org.F11.scada.server.autoprint.jasper.JasperAutoPrint

  * Add initPage property.
    Add AlarmDefine.xml `init' tag.
    Ex.
       <init initPage="UNTN0001" />
  * BugFix ExplanatoryNotes class.
    Add repaint method.

2004/6/10 hori <hori@users.sourceforge.jp>

  * Update BarGraph. Add time scale mode.

2004/5/27 Hideaki Maekawa <frdm@users.sourceforge.jp>

  * Update RMI Connect logic.

2004/5/27 hori <hori@users.sourceforge.jp>

  * Update CsvoutTask and CsvExecAutoPrintTask class.
    Add data_head option.

2004/5/25 Hideaki Maekawa <frdm@users.sourceforge.jp>

  * Update UDP class.
    Change Log Lebel.
  * Update WifeMain class.
    Display Java VM properties.
  * StatusBar implements SymbolCollection interface.
  * Bugfix : Processing when the symbol is blinking.
    ContainerListIterator, ListTable, Symbol, TextAnalogSymbolEditable, TextPowerfactorEdiable

2004/5/25 hori <hori@users.sourceforge.jp>

  * BugFix AlarmMail.java

2004/5/24 Hideaki Maekawa <frdm@users.sourceforge.jp>

  * Update UDP class. (back)
    It changes having opened as it opened and closed the socket.

2004/5/20 Hideaki Maekawa <frdm@users.sourceforge.jp>

  * Add CommunicatorLogger class.

2004/5/19 Hideaki Maekawa <frdm@users.sourceforge.jp>

  * Update UDP class.
    It changes having opened and closed the socket as it opened.
  * Add ServerPatrol class.

2004/5/13 hori <hori@users.sourceforge.jp>

  * BugFix MC3E.java

2004/5/14 Hideaki Maekawa <frdm@users.sourceforge.jp>

  * Update FileWriteCommand class.
  * Add concurrent.jar file and startw.bat
  * Update UDP class.

2004/5/13 Hideaki Maekawa <frdm@users.sourceforge.jp>

  * Add OpenURLSymbol class.
	Only a web browser opens the target URL.

	EX.
    <f11:openurlsymbol visible="false" open="false">
      <f11:if value="P1_D_1900000_Digital" visible="false">
        <f11:property url="http://www.f-11.org/" open="true"/>
      </f11:if>
    </f11:openurlsymbol>

2004/5/13 hori <hori@users.sourceforge.jp>

  * Update FINS.java
  * Add FINS_CV.java
  * BugFix MC3E.java

2004/5/12 Hideaki Maekawa <frdm@users.sourceforge.jp>

  * Update CommandProvier. Command class supported multi class define.

2004/5/11 Hideaki Maekawa <frdm@users.sourceforge.jp>

  * Add CommandProvier and org.F11.scada.server.command pakages.

2004/4/15 hori <hori@users.sourceforge.jp>

  * Update csv output schedule.
  * Update BCD Error info log.

2004/4/8 Hideaki Maekawa <frdm@users.sourceforge.jp>

  * Update Deployment error logic.

2004/4/7 Hideaki Maekawa <frdm@users.sourceforge.jp>

  * Change reflected in a client after point change.

2004/4/6 Hideaki Maekawa <frdm@users.sourceforge.jp>

  * Add FramePageEditTimeSupport class.
    Update FrameDefineManager class.
  * Bugfix some memory leaks.

2004/4/5 Hideaki Maekawa <frdm@users.sourceforge.jp>

  * Update XmlFrameEditManager class.
  * Update PageFileDeployer class.

2004/4/2 Hideaki Maekawa <frdm@users.sourceforge.jp>

  * Update PageFileDeployer class. Page name repeat check.
  * Update and Refactering org.F11.scada.server.frame package.

2004/3/30 Hideaki Maekawa <frdm@users.sourceforge.jp>

  * Update Editable interface. Add isTabkeyMove method.
  * Add TenkeyDialogNoTab class.
    Update Dialog.xml file.
  * Update TenkeyDialog.
  * Update ListTable class.
  * Add ToolBar class.
    It is the existence of a login button display to a tool bar at the time of an applet.
    Update AlarmDefine.xml file.
    Update WifeApplet class.
  * Add EnvironmentPropertyFiles class.
    Update WifeDataProvider class.
    /server/device device : install device property file under directry.

2004/3/24 Hideaki Maekawa <frdm@users.sourceforge.jp>

  * Add org.F11.scada.server.deploy package.
    The file under `pagedefine' directory can be hot heploy.

2004/3/18 Hideaki Maekawa <frdm@users.sourceforge.jp>

  * Update Client Page Cache Logic.

    about config
    
    AlarmDefine.xml
      <page cacheMax="2" />
      cacheMax : -1   not remove cache.
                  0   not user page cache.
                  1.. page cache page.
      default cacheMax -1.

    XwifeAppletDefine.xml
      <f11:page cacheClear="false">
      cacheClear : true  remove this page.
                   false not remove this page.
      default cacheClear true.
      
   * Update BasePane. Only visible symbol include PageListIterator.

2004/3/15 Hideaki Maekawa <frdm@users.sourceforge.jp>

  * Update WifeApplet#changePage. Use SwingUtilities#invokeLater.

2004/3/12 Hideaki Maekawa <frdm@users.sourceforge.jp>

  * Update Sqldefine.properties.
  * BugFix WifeDataProviderProxy#asyncRead.

2004/3/10 Hideaki Maekawa <frdm@users.sourceforge.jp>

  * Update DemandGraph.
  * Update AlarmTableConfig.
  * Update WifeApplet.AlarmTabbedPane .
  * Update WifeMain .

2004/3/5 Hideaki Maekawa <frdm@users.sourceforge.jp>

  * Bugfix LoggingSchedule.

2004/3/5 hori <hori@users.sourceforge.jp>

  * Update WriteTimeState error print holdername.

2004/3/4 Hideaki Maekawa <frdm@users.sourceforge.jp>

  * Update ExplanatoryNotes.
    Can modify Font property.
  * The dotted line of some graph is changed cornflowerblue from white.

2004/3/4 hori <hori@users.sourceforge.jp>

  * Update org.F11.scada.applet.graph.bargraph package.

2004/3/3 Hideaki Maekawa <frdm@users.sourceforge.jp>

  * JIM.jar version up.
  * Update WifeDataProviderProxy#setHoldersData .

2004/2/27 Hideaki Maekawa <frdm@users.sourceforge.jp>

  * Update LatticeLayout

2004/2/26 Hideaki Maekawa <frdm@users.sourceforge.jp>

  * Bugfix TextAnalogSymbol, TextAnalogSymbol
  * Bugfix ConvertValue, DefaultVerticallyScaleModel

2004/2/26 hori <hori@users.sourceforge.jp>

  * Update foreground and background color define to DemandGraph.

2004/2/25 Hideaki Maekawa <frdm@users.sourceforge.jp>

  * Bugfix DefaultGraphModel

2004/2/19 hori <hori@users.sourceforge.jp>

  * Update ServerErrorUtil and ServerErrorMessage.
  * Bugfix org.F11.scada.server.frame package.

2004/2/19 Hideaki Maekawa <frdm@users.sourceforge.jp>

  * Bugfix UDP class. SocketException Depend. NullPointerException corrects the problem which has a generating case previously.

2004/2/19 hori <hori@users.sourceforge.jp>

  * Update FrameEditManager.java
  * Update Logo.java

2004/2/17 Hideaki Maekawa <frdm@users.sourceforge.jp>

  * add schedule group name.

2004/2/12 Hideaki Maekawa <frdm@users.sourceforge.jp>

  * Update RMI connect. Retry connect, if throws RemoteException.
  * Add ServerErrorUtil. ServerError's Utility.

2004/2/9 hori <hori@users.sourceforge.jp>

  * Update FINS converter.

2004/2/5 Hideaki Maekawa <frdm@users.sourceforge.jp>

  * Update ScheduleToolBar
  * Bugfix WifeDataCalendar

2004/2/4 Hideaki Maekawa <frdm@users.sourceforge.jp>

  * Update WifeCalendar, WifeDataCalendar
  * Update TrendGraph.

2004/1/15 hori <hori@users.sourceforge.jp>

  * BugFix DemandGraphModel.

2004/1/7 Hideaki Maekawa <frdm@users.sourceforge.jp>

  * Update AlarmNewsConfig, AlarmTableConfig, AlarmDefine WifeApplet
    for setting color config.

2003/12/25 hori <hori@users.sourceforge.jp>

  * BugFix SeriesState.

2003/12/25 Hideaki Maekawa <frdm@users.sourceforge.jp>

  * Refactating GraphModelGroupFilter class.

2003/12/24 Hideaki Maekawa <frdm@users.sourceforge.jp>

  * BugFix GraphModelGroupFilter class.

2003/12/12 hori <hori@users.sourceforge.jp>

  * Add ColorFactory.getColorNames() Method.

2003/12/8 Hideaki Maekawa <frdm@users.sourceforge.jp>

  * Update F-11.jnlp. Add resource Jar file section.
  * Update ExplanatoryNotes. Add mark string null check.

2003/12/1 Hideaki Maekawa <frdm@users.sourceforge.jp>

  * Update ConnectionUtil.
  * Update ConnectionUtil poolPreparedStatements is false.

2003/12/1 hori <hori@users.sourceforge.jp>

  * BugFix AlarmPrint.
  * Update History check logic.

2003/11/28 Hideaki Maekawa <frdm@users.sourceforge.jp>

  * Any Servers retry initial RMI connection.
  * Update Get Connection routines.

2003/11/27 hori <hori@users.sourceforge.jp>

  * Update WifeUtilities.getShareConnection etc...
  * Update StrategyUtility.
  * Update LinkageCommand.

2003/11/26 hori <hori@users.sourceforge.jp>

  * Add org.F11.scada.server.edit package.

2003/11/21 Hideaki Maekawa <frdm@users.sourceforge.jp>

  * BugFix PostgreSQLStrategyFactory summary table model.
  * Update WifeMain.

2003/11/21 hori <hori@users.sourceforge.jp>

  * BugFix FrameDefineManager.

2003/11/20 hori <hori@users.sourceforge.jp>

  * Update WifeDataProvider.

2003/11/17 hori <hori@users.sourceforge.jp>

  * Update DemandGraph.
  * Update ProgramExecuteButton.
  * BugFix BarGraph and TrendGraph.

2003/11/13 hori <hori@users.sourceforge.jp>

  * BugFix BarGraph reference logic.

2003/11/6 Hideaki Maekawa <frdm@users.sourceforge.jp>

  * BugFix DefaultGraphPropertyModel, GraphSeriesProperty. No use commons-lang package.
    Some refrection methods throw AccessControlException at Applet, Java Web Start.
  * Add Java Web Start directory.

2003/11/5 Hideaki Maekawa <frdm@users.sourceforge.jp>

  * Update Graph parser, GraphPropertyModels and TrendGraphs.

2003/11/04 hori <hori@users.sourceforge.jp>

  * Update CsvExecAutoPrintTask and CsvoutTask.

2003/10/31 hori <hori@users.sourceforge.jp>

  * BugFix ScheduleState.
  * BugFix BarGraph.

2003/10/31 Hideaki Maekawa <frdm@users.sourceforge.jp>

  * BugFix DemandGraph.
  * DemandGraph ; add vertical grid.

2003/10/29 Hideaki Maekawa <frdm@users.sourceforge.jp>

  * Update graph package.
  * BugFix GroupSelectDialog ; not modify current group.
  * BugFix VerticallyScale ; Not open undefine series.

2003/10/29 hori <hori@users.sourceforge.jp>

  * Update bargraph Package.
  * Update CsvExecAutoPrintTask.
  
2003/10/28 hori <hori@users.sourceforge.jp>

  * Update UDP.
  * Update ProgramExecuteButton.
  * Add AutoPrintTask.

2003/10/23 Hideaki Maekawa <frdm@users.sourceforge.jp>

  * Update AlarmTable. Ajastable Font properties.

2003/10/23 hori <hori@users.sourceforge.jp>

  * Add ShutdownAuthDialog class.
  * Update table parsers.
  * Update AlarmDataProviderProxy.
  * Update LineGraphSymbol and Expression.

2003/10/22 hori <hori@users.sourceforge.jp>

  * Update TaskItemDefine.

2003/10/20 Hideaki Maekawa <frdm@users.sourceforge.jp>

  * Update TrendGraphView. 
    BugFix : TrendGraphView#LineGraph#invalidateLineX method.

2003/10/17 Hideaki Maekawa <frdm@users.sourceforge.jp>

  * Update GraphSeriesProperty.

2003/10/17 hori <hori@users.sourceforge.jp>

  * BugFix : ManagerDelegator.setHistoryTable()

2003/10/16 Hideaki Maekawa <frdm@users.sourceforge.jp>

  * BugFix : GraphSeriesProperty initialize GraphFoldProperty.

2003/10/15 Hideaki Maekawa <frdm@users.sourceforge.jp>

  * Update TrendGraph ;ExplanatoryNotes display point name, mark form Database.
  * Update DefaultGraphModel initialize. (Speed up!)

2003/10/14 Hideaki Maekawa <frdm@users.sourceforge.jp>

  * Create LocateRegistry at WifeMain, DataCollector.
    startw.bat, collector.bat delete rmiregistry call.
  * ExplanatoryNotes display shortening provider and holder name.

2003/10/10 hori <hori@users.sourceforge.jp>

  * Change logging Package.

2003/10/9 Hideaki Maekawa <frdm@users.sourceforge.jp>

  * Update StrategyUtilty and more Refactaring.
  * Update log4j and mysql-connector. (You need change project preference.)
  * BugFix Sqldefine.properties; Invalid mysql section.
  * TrendGraph display group name.

2003/10/8 hori <hori@users.sourceforge.jp>

  * Add CsvoutTask class.
  * Remove org.F11.scada.server.logging.report.ReportPrintEXCEL class.

2003/10/6 hori <hori@users.sourceforge.jp>

  * Add logout user.
  * Add ProgramExecuteButton.

2003/10/3 hori <hori@users.sourceforge.jp>

  * Add F-11editor's interface classes.

2003/9/25 Hideaki Maekawa <frdm@users.sourceforge.jp>

  * Update JIM.jar file.

2003/6/17 Hideaki Maekawa <frdm@users.sourceforge.jp>

  * Update EnvironmentProperty Class.

2003/9/9 hori <hori@users.sourceforge.jp>

  * Update WifeCommand, LinkageCommand and test.

2003/7/11 hori <hori@users.sourceforge.jp>

  * Add FINS command, set/get RTC area.

2003/7/4 hori <hori@users.sourceforge.jp>

  * Update WifeException Message.

2003/6/17 hori <hori@users.sourceforge.jp>

  * BugFix org.F11.scada.server.frame.PageDefine.
  * BugFix #2298. Change Client Jurnal.
  * BugFix #2352. org.F11.scada.server.alarm.EventDelayer
  * Update PageDefine.java.

2003/6/16 hori <hori@users.sourceforge.jp>

  * Add sound_type logic.
  * Merge End_F-11_1_0_1 to HEAD
  * Update FrameDefine logic.

2003/6/13 hori <hori@users.sourceforge.jp>

  * Update rmi recv port setting.

2003/6/9 hori <hori@users.sourceforge.jp>

  * BugFix WifeApplet and AlarmMail.
  * Update DefaultGraphModel.

2003/5/30 hori <hori@users.sourceforge.jp>

  * Update Calendar and Schedule.

2003/5/29 hori <hori@users.sourceforge.jp>

  * Add LineGraphSymbol.
  * Add PageChangeButton.

2003/5/26 hori <hori@users.sourceforge.jp>

  * Update FrameDefineManager.
  * BugFix F11PageHandler.
  * Add "＊＊＊＊" setting rule.
  * Add catch NoSuchElementException. DefaultGraphModel

2003/5/13 hori <hori@users.sourceforge.jp>

  * BugFix WifeDataAnalog4 and WifeDataTimestamp.

2003/5/12 hori <hori@users.sourceforge.jp>

  * Add FrameDefineManager and Proxy.
  * Update org.F11.sxada.parser Package.

2003/5/7 hori <hori@users.sourceforge.jp>

  * BugFix synchronization of write-in data.

2003/5/6 hori <hori@users.sourceforge.jp>

  * Add EventDelayer. This prevents chattering.
  * BugFix format text.

2003/5/2 hori <hori@users.sourceforge.jp>

  * Update LinkageCommand and WifeDataProvider.

2003/5/1 hori <hori@users.sourceforge.jp>

  * Update LinkageCommand.

2003/4/28 hori <hori@users.sourceforge.jp>

  * Add AlarmPrintPage task and AlarmPrintDataStore.

2003/4/22 hori <hori@users.sourceforge.jp>

  * Update TextAnalog4SymbolEditable and UDLimitDialog.

2003/4/21 hori <hori@users.sourceforge.jp>

  * Add WifeDataAnalog4, TextAnalog4Symbol and UDLimitDialog.

2003/4/16 hori <hori@users.sourceforge.jp>

  * BugFix WifeDataAnalog$AnalogType.SHX_SINGLE_WORD,SHX_DOUBLE_WORD.

2003/4/14 hori <hori@users.sourceforge.jp>

  * Update TextScheduleSymbolEditable.

2003/4/11 hori <hori@users.sourceforge.jp>

  * Add TwoDaysSchedulePattern, TextScheduleSymbolEditable and GraphicScheduleViewDialog.

2003/4/7 hori <hori@users.sourceforge.jp>

  * Add PfTenkeyDialog and TextPowerfactorSymbolEditable.
  * Update DataBase 'analog_type_table'.

2003/4/2 hori <hori@users.sourceforge.jp>

  * Update ConvertValue.
  * Update org.F11.scada.server.converter package.

2003/3/31 hori <hori@users.sourceforge.jp>

  * Update WifeEventQueue.
  * Add TimeSet logic.

2003/3/28 hori <hori@users.sourceforge.jp>

  * Add WifeDataTimestamp.

2003/3/26 hori <hori@users.sourceforge.jp>

  * Add AlarmMail.java.

2003/3/24 hori <hori@users.sourceforge.jp>

  * Update Editable intarface.

2003/3/24 Hideaki Maekawa <frdm@users.sourceforge.jp>

  * Update build.xml. compile without `*Test*'(Junit test case) file.

2003/3/20 hori <hori@users.sourceforge.jp>

  * Add ToolTipText property for Symbol.
  * BugFix MC3E.java.
  * Add MC3ETest.java.

2003/3/17 hori <hori@users.sourceforge.jp>

  * BugFix AlarmDataProviderProxy.
  * Update QualityFlag operation.

2003/3/14 hori <hori@users.sourceforge.jp>

  * Update ToolBar layout.
  * Add ScreenLock button.
  * Add AlarmSoundStop button.
  * Add AlarmSoundLock button.
  * Update AlarmSound play and stop logic.

2003/3/12 Hideaki Maekawa <frdm@users.sourceforge.jp>

  * Remove make ERR_HOLDER logic.

2003/3/5 Hideaki Maekawa <frdm@users.sourceforge.jp>

  * BugFix PostgreSQLAlarmTableModel.
  * BugFix Table parsers.

2003/3/3 Hideaki Maekawa <frdm@users.sourceforge.jp>

  * BugFix WifeApplet (stop and destroy method).
  * BugFix WifeCalender.
  * BugFix WifeDataProviderProxy, AlarmDataProviderProxy.
  * BugFix TableRowSymbolState.
  * Strip SymbolClassName at Symbol class.

2003/3/3 hori <hori@users.sourceforge.jp>

  * BugFix DrawSymbolState.
  * Add org.F11.scada.server.logging.report.ReportPrintEXCEL.java.

2003/2/28 Hideaki Maekawa <frdm@users.sourceforge.jp>

  * Update HolderData communication.

2003/2/26 Hideaki Maekawa <frdm@users.sourceforge.jp>

  * Added Auto Jump.
  * Update History check logic.
  * Update SAX Reader preference. Added preference key `/org.xml.sax.driver'.

2003/2/24 Hideaki Maekawa <frdm@users.sourceforge.jp>

  * Update CreateHolderData. Add create time and QualityFlag.
  * Add AlarmTableModel Maxmam limit.

2003/2/24 hori <hori@users.sourceforge.jp>

  * Add org.F11.scada.xwife.applet.AlarmPlayer interface.
  * Update LinkageCommand.java and WifeDataProvider.java.

2003/2/21 hori <hori@users.sourceforge.jp>

  * Update org.F11.scada.xwife.applet package.
  * Update SQL insert_item.sql file.
  * Update tree.txt file.

2003/2/21 Hideaki Maekawa <frdm@users.sourceforge.jp>

  * More fast and BugFix.

2003/2/20 Hideaki Maekawa <frdm@users.sourceforge.jp>

  * Add RMI connection retry Logic.

2003/2/17 Hideaki Maekawa <frdm@users.sourceforge.jp>

  * BugFix #1263. <http://sourceforge.jp/tracker/?func=detail&aid=1263&group_id=318&atid=1285>

2003/2/14 Hideaki Maekawa <frdm@users.sourceforge.jp>

  * Change Alarm Table Logic.
  * Supported MySQL version:3.23.53.

2003/2/14 hori <hori@users.sourceforge.jp>

  * Update DrawSymbolState and DrawLineState.
  * Update org.F11.scada.applet.graph.bargraph Package.

2003/2/13 hori <hori@users.sourceforge.jp>

  * Add BarGraphStepTest.
  * Bug Fix BarGraphView#FillGraph.getxxxTime method.

2003/2/5 Hideaki Maekawa <frdm@users.sourceforge.jp>

  * Update org.F11.scada.data Package. Future Immutable Pattern.

2003/2/4 Hideaki Maekawa <frdm@users.sourceforge.jp>

  * BugFix TrendGraphView$LineGraphMouseListener.

2003/2/4 hori <hori@users.sourceforge.jp>

  * Update graph packages.

2003/2/4 Hideaki Maekawa <frdm@users.sourceforge.jp>

  * Update TenkeyDialog. Dialog was dispose, restore Traversal Key.
  * Update TenkeyDialog. Press Tab key and Press Tab + Shift key action.

2003/1/30 hori <hori@users.sourceforge.jp>

  * Update graph packages.

2003/1/29 Hideaki Maekawa <frdm@users.sourceforge.jp>

  * BugFix WifeApplet#logout method.

2003/1/27 hori <hori@users.sourceforge.jp>

  * Add RecoveryWait logic to AbstractCommunicater.
  * Add LinkageCommand.
  * Update WifeDataProvider.
  * Update WifeCommand.
  * Update comverter Tests.
  
2003/1/24 hori <hori@users.sourceforge.jp>

  * Update WifeDataProvider.
  * Update WifeCommand.
  * Update comverter Tests.
  
2003/1/22 hori <hori@users.sourceforge.jp>

  * Update WifeDataProvider.
  
2003/1/22 Hideaki Maekawa <frdm@users.sourceforge.jp>

  * Update WifeCommand.

2003/1/21 Hideaki Maekawa <frdm@users.sourceforge.jp>

  * Update WifeDataProvider.
  * Update WifeCommand.

2003/1/20 Hideaki Maekawa <frdm@users.sourceforge.jp>

  * Update ValuListHandler logic.
  * Add ValueListHandlerProxy, ValueListHandlerElement, ValueListHandlerManager.
  * Update DefaultGraphModel and more.

2003/1/17 Hideaki Maekawa <frdm@users.sourceforge.jp>

  * Update Authentication logic.
  * Change Editable, AccessControlable and more.

2003/1/16 hori <hori@users.sourceforge.jp>

  * Bug Fix. WifeDataProvider.java.

2003/1/15 Hideaki Maekawa <frdm@users.sourceforge.jp>

  * Update DataProviderProxy.
  * Add JUnit Tests.
  * Any Bug Fix.

2003/1/14 hori <hori@users.sourceforge.jp>

  * Bug Fix. DataProviderProxyDefine.java and FINS.java.

2003/1/10 Hideaki Maekawa <frdm@users.sourceforge.jp>

  * Bug Fix. DataProviderProxyDefine, FINS and WifeApplet.

2003/1/9 Hideaki Maekawa <frdm@users.sourceforge.jp>

  * Update item_table.
  * Update SQL Files.
  * Add WifeDataProvider's method  createCalendarHolders, createShceduleHolders.
  * Update WifeDataProvider's method createAnalogHolders.

2003/1/9 hori <hori@users.sourceforge.jp>

  * Update DataProviderProxyDefine.java and .xml
  * Update WifeCommand.java FINS.java

2003/1/8 Hideaki Maekawa <frdm@users.sourceforge.jp>

  * Add GroupableTableHeader and States.

2002/12/26 Hideaki Maekawa <frdm@users.sourceforge.jp>

  * Update Symbol and SymbolState.

2002/12/25 Hideaki Maekawa <frdm@users.sourceforge.jp>

  * Bug Fix #933.

2002/12/24 Hideaki Maekawa <frdm@users.sourceforge.jp>

  * Update Graph, Logging, packages.

2002/12/17 hori <hori@users.sourceforge.jp>

  * Add DrawSymbol.

2002/12/17 hori <hori@users.sourceforge.jp>

  * Dialog AllModal.

2002/12/16 hori <hori@users.sourceforge.jp>

  * Update CommunicaterFactory.

2002/12/11 hori <hori@users.sourceforge.jp>

  * Update parser package.
  * Update BitRefer.java
  * Change XWifeAppletDefine.xml

2002/12/10 Hideaki Maekawa <frdm@users.sourceforge.jp>

  * Add logging.parser package.
  * Remove LoggingDefine.

2002/12/06 Hideaki Maekawa <frdm@users.sourceforge.jp>

  * Bug Fix #845.
  * Bug Fix TextAnalogSymbol.

2002/11/29 Hideaki Maekawa <frdm@users.sourceforge.jp>

  * Add parser directory and files.

2002/11/28 Hideaki Maekawa <frdm@users.sourceforge.jp>

  * Add TableDefine Files.
  * Change INSTALL_jp.txt and README_jp.txt.

2002/11/22 Hideaki Maekawa <frdm@users.sourceforge.jp>

  * Add Display Login User Name.

2002/11/21 Hideaki Maekawa <frdm@users.sourceforge.jp>

  * Add unit tests org.F11.scada.data directory.
  * build.xml - change dist and clean task.

2002/11/20 Hideaki Maekawa <frdm@users.sourceforge.jp>

  * Logo - Change LOGO_NAME. (WIFE was F-11's Code Name.)
  * WifeApplet - Add table count check.
  * DialogDefine - Change @xmlns TAG
  * BarGraphPropertyModel - Change SEPARATOR underbar from period.
  * DefaultGraphPropertyModel - Change SEPARATOR underbar from period.
  * DemandGraph - Change SEPARATOR underbar from period.
  * IOUtilities - Change SEPARATOR underbar from period.

2002/11/19 Hideaki Maekawa <frdm@users.sourceforge.jp>

  * Add jar Librarys.
  * Add Documents and Licence.
  * Change IP Address Preference.properties, insert_wife.sql and more..
  * Version up log4j.